import { ServiceBroker } from 'moleculer';
import { IOutputService, IPodsRes, IOutputSettings, INewOutputPod, IOutputRes } from '../interfaces';
export declare class OutputMicroservice implements IOutputService {
    private broker;
    private settings;
    constructor(broker: ServiceBroker, settings: IOutputSettings);
    private topic;
    addNewType(podName: string, newItem: INewOutputPod): Promise<void>;
    getPods(): Promise<IPodsRes[]>;
    getOutput(request: string): Promise<IOutputRes>;
    unWatchLogs(): Promise<Boolean>;
    dispose(): Promise<void>;
    private callAction;
}
