module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/constants/constants.ts":
/*!************************************!*\
  !*** ./src/constants/constants.ts ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.NATS_HEMERA_KUBE_OUTPUT = 'NATS_HEMERA_KUBE_OUTPUT';
var OutputCommands;
(function (OutputCommands) {
    OutputCommands["GET_OUTPUT_DATA"] = "GET_OUTPUT_DATA";
    OutputCommands["UNWATCH_OUTPUT"] = "UNWATCH_OUTPUT";
    OutputCommands["DISPOSE_OUTPUT"] = "DISPOSE_OUTPUT";
    OutputCommands["ADD_OUTPUT_POD"] = "ADD_OUTPUT_POD";
    OutputCommands["GET_OUTPUT_PODS"] = "GET_OUTPUT_PODS";
})(OutputCommands = exports.OutputCommands || (exports.OutputCommands = {}));


/***/ }),

/***/ "./src/constants/index.ts":
/*!********************************!*\
  !*** ./src/constants/index.ts ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./types */ "./src/constants/types.ts"));
__export(__webpack_require__(/*! ./constants */ "./src/constants/constants.ts"));


/***/ }),

/***/ "./src/constants/types.ts":
/*!********************************!*\
  !*** ./src/constants/types.ts ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
exports.TYPES = {
    IOutputService: Symbol('IOutputService'),
    IOutputSettings: Symbol('IOutputSettings'),
};
exports.InjectIOutputService = inversify_1.inject(exports.TYPES.IOutputService);


/***/ }),

/***/ "./src/container/index.ts":
/*!********************************!*\
  !*** ./src/container/index.ts ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./module */ "./src/container/module.ts"));


/***/ }),

/***/ "./src/container/module.ts":
/*!*********************************!*\
  !*** ./src/container/module.ts ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const core_1 = __webpack_require__(/*! @common-stack/core */ "@common-stack/core");
const services_1 = __webpack_require__(/*! ../services */ "./src/services/index.ts");
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
exports.outputModule = (settings) => new inversify_1.ContainerModule((bind) => {
    bind(constants_1.TYPES.IOutputService)
        .to(services_1.OutputService)
        .inSingletonScope()
        .whenTargetIsDefault();
});
exports.outputModuleMicroservice = (settings) => new inversify_1.ContainerModule((bind) => {
    bind(constants_1.TYPES.IOutputService)
        .to(services_1.OutputMicroservice)
        .whenTargetNamed(core_1.TaggedType.MICROSERVICE);
    bind(constants_1.TYPES.IOutputSettings)
        .toConstantValue(settings)
        .whenTargetNamed(core_1.TaggedType.MICROSERVICE);
});


/***/ }),

/***/ "./src/graphql/index.ts":
/*!******************************!*\
  !*** ./src/graphql/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./resolvers */ "./src/graphql/resolvers/index.ts"));
__export(__webpack_require__(/*! ./schema */ "./src/graphql/schema/index.ts"));


/***/ }),

/***/ "./src/graphql/resolvers/index.ts":
/*!****************************************!*\
  !*** ./src/graphql/resolvers/index.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./resolver */ "./src/graphql/resolvers/resolver.ts"));


/***/ }),

/***/ "./src/graphql/resolvers/resolver.ts":
/*!*******************************************!*\
  !*** ./src/graphql/resolvers/resolver.ts ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const graphql_subscriptions_1 = __webpack_require__(/*! graphql-subscriptions */ "graphql-subscriptions");
exports.resolver = (options) => ({
    Query: {
        getOutput(root, args, ctx) {
            return ctx.outputService.getOutput(args.request);
        },
        getPods(root, args, ctx) {
            return ctx.outputService.getPods();
        },
    },
    Mutation: {
        unWatchLogs(root, args, ctx) {
            return ctx.outputService.unWatchLogs();
        },
    },
    Subscription: {
        outputDataSubscription: {
            subscribe: graphql_subscriptions_1.withFilter(() => options.pubsub.asyncIterator(`OUTPUT_DATA_SUBSCRIPTIONS`), (payload, variables) => {
                if (payload.outputDataSubscription.name === variables.name) {
                    return true;
                }
            }),
        },
    },
});


/***/ }),

/***/ "./src/graphql/schema/index.ts":
/*!*************************************!*\
  !*** ./src/graphql/schema/index.ts ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const schema_graphql_1 = __webpack_require__(/*! ./schema.graphql */ "./src/graphql/schema/schema.graphql");
exports.schema = schema_graphql_1.default;


/***/ }),

/***/ "./src/graphql/schema/schema.graphql":
/*!*******************************************!*\
  !*** ./src/graphql/schema/schema.graphql ***!
  \*******************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = ("\ntype IGetPods {\n    title: String\n    name: String\n}\n\ntype OutputRes {\n    output: String,\n    err: String\n    name: String\n}\n\ntype OutputResSubs {\n    output: String,\n    err: String\n    name: String\n}\n\nextend type Query {\n    getOutput(request: String): OutputRes\n    getPods: [IGetPods]\n}\n\nextend type Mutation {\n    unWatchLogs: Boolean\n}\n\nextend type Subscription {\n    outputDataSubscription(name: String!): OutputResSubs\n}");

/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __webpack_require__(/*! ./module */ "./src/module.ts");
const server_core_1 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
__export(__webpack_require__(/*! ./plugin */ "./src/plugin/index.ts"));
exports.default = new server_core_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const server_core_1 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
const core_1 = __webpack_require__(/*! @common-stack/core */ "@common-stack/core");
const preferences_1 = __webpack_require__(/*! ./preferences */ "./src/preferences/index.ts");
const constants_1 = __webpack_require__(/*! ./constants */ "./src/constants/index.ts");
const graphql_1 = __webpack_require__(/*! ./graphql */ "./src/graphql/index.ts");
const container_1 = __webpack_require__(/*! ./container */ "./src/container/index.ts");
const plugin_1 = __webpack_require__(/*! ./plugin */ "./src/plugin/index.ts");
const outputServiceGen = (container) => {
    return { outputService: container.getNamed(constants_1.TYPES.IOutputService, core_1.TaggedType.MICROSERVICE) };
};
exports.default = new server_core_1.Feature({
    schema: graphql_1.schema,
    createResolversFunc: graphql_1.resolver,
    createPreference: preferences_1.preferences,
    createServiceFunc: outputServiceGen,
    createContainerFunc: [container_1.outputModuleMicroservice],
    createHemeraContainerFunc: [container_1.outputModule],
    addBrokerClientServiceClass: [plugin_1.OuputMoleculerService],
});


/***/ }),

/***/ "./src/plugin/index.ts":
/*!*****************************!*\
  !*** ./src/plugin/index.ts ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var output_moleculer_service_1 = __webpack_require__(/*! ./output-moleculer-service */ "./src/plugin/output-moleculer-service.ts");
exports.OuputMoleculerService = output_moleculer_service_1.OuputMoleculerService;


/***/ }),

/***/ "./src/plugin/output-moleculer-service.ts":
/*!************************************************!*\
  !*** ./src/plugin/output-moleculer-service.ts ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const moleculer_1 = __webpack_require__(/*! moleculer */ "moleculer");
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
const core_1 = __webpack_require__(/*! @workbench-stack/core */ "@workbench-stack/core");
class OuputMoleculerService extends moleculer_1.Service {
    constructor(broker, _a) {
        var { container } = _a, settings = __rest(_a, ["container"]);
        super(broker);
        const topic = constants_1.NATS_HEMERA_KUBE_OUTPUT;
        const configuration = container.get(core_1.TYPES.IConfigurationService);
        const outputService = container.get(constants_1.TYPES.IOutputService);
        this.parseServiceSchema({
            name: topic,
            actions: {
                [constants_1.OutputCommands.ADD_OUTPUT_POD]: {
                    handler: async (ctx) => {
                        return await this.outputService.addNewType(ctx.params.podName, ctx.params.newItem);
                    },
                },
                [constants_1.OutputCommands.GET_OUTPUT_PODS]: {
                    handler: async (ctx) => {
                        return await this.outputService.getPods();
                    },
                },
                [constants_1.OutputCommands.GET_OUTPUT_DATA]: {
                    handler: async (ctx) => {
                        return await this.outputService.getOutput(ctx.params.request);
                    },
                },
                [constants_1.OutputCommands.UNWATCH_OUTPUT]: {
                    handler: async (ctx) => {
                        return await this.outputService.unWatchLogs();
                    },
                },
                [constants_1.OutputCommands.DISPOSE_OUTPUT]: {
                    handler: async (ctx) => {
                        return await this.outputService.dispose();
                    },
                },
            },
        });
    }
}
exports.OuputMoleculerService = OuputMoleculerService;


/***/ }),

/***/ "./src/preferences/index.ts":
/*!**********************************!*\
  !*** ./src/preferences/index.ts ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.preferences = {
    'output.maxChannelHistory': {
        type: 'number',
        default: 1000,
        description: 'The maximum number of entries in an output channel.',
    },
};


/***/ }),

/***/ "./src/services/index.ts":
/*!*******************************!*\
  !*** ./src/services/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./output-service */ "./src/services/output-service.ts"));
__export(__webpack_require__(/*! ./output-microservice */ "./src/services/output-microservice.ts"));


/***/ }),

/***/ "./src/services/output-microservice.ts":
/*!*********************************************!*\
  !*** ./src/services/output-microservice.ts ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const core_1 = __webpack_require__(/*! @common-stack/core */ "@common-stack/core");
const constants_1 = __webpack_require__(/*! ../constants */ "./src/constants/index.ts");
let OutputMicroservice = class OutputMicroservice {
    constructor(broker, settings) {
        this.broker = broker;
        this.settings = settings;
        this.topic = constants_1.NATS_HEMERA_KUBE_OUTPUT;
    }
    addNewType(podName, newItem) {
        return this.callAction(constants_1.OutputCommands.ADD_OUTPUT_POD, { podName, newItem });
    }
    getPods() {
        return this.callAction(constants_1.OutputCommands.GET_OUTPUT_PODS);
    }
    getOutput(request) {
        return this.callAction(constants_1.OutputCommands.GET_OUTPUT_DATA, { request });
    }
    unWatchLogs() {
        return this.callAction(constants_1.OutputCommands.UNWATCH_OUTPUT);
    }
    dispose() {
        return this.callAction(constants_1.OutputCommands.DISPOSE_OUTPUT);
    }
    async callAction(command, params) {
        return await this.broker.call(`${this.topic}.${command}`, params);
    }
};
OutputMicroservice = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject('MoleculerBroker')),
    __param(1, inversify_1.inject(constants_1.TYPES.IOutputSettings)),
    __param(1, inversify_1.named(core_1.TaggedType.MICROSERVICE))
], OutputMicroservice);
exports.OutputMicroservice = OutputMicroservice;


/***/ }),

/***/ "./src/services/output-service.ts":
/*!****************************************!*\
  !*** ./src/services/output-service.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const lodash_1 = __webpack_require__(/*! lodash */ "lodash");
const cmd = __webpack_require__(/*! node-cmd */ "node-cmd");
var COMMAND;
(function (COMMAND) {
    COMMAND["STERN"] = "stern";
})(COMMAND = exports.COMMAND || (exports.COMMAND = {}));
var SternFlags;
(function (SternFlags) {
    SternFlags["LABEL"] = "-l";
    SternFlags["TAIL"] = "--tail";
    SternFlags["STREAM"] = "-f";
    SternFlags["NAMESPACE"] = "-n";
    SternFlags["CONTAINER"] = "-c";
    SternFlags["TIMESTAMPS"] = "--timestamps";
})(SternFlags = exports.SternFlags || (exports.SternFlags = {}));
let OutputService = class OutputService {
    constructor(logger, pubsub) {
        this.logger = logger;
        this.pubsub = pubsub;
        this.outputTypes = {};
    }
    addNewType(podName, newItem) {
        this.outputTypes[podName] = newItem;
    }
    getPods() {
        const podsObj = [];
        lodash_1.forEach(Object.keys(this.outputTypes), el => {
            const currentPod = this.outputTypes[el];
            podsObj.push({ name: currentPod.name, title: currentPod.title ? currentPod.title : currentPod.name });
        });
        return podsObj;
    }
    getOutput(pod) {
        this.watchLogs(pod);
        return { output: '', err: '', name: pod };
    }
    unWatchLogs() {
        if (this.watcher) {
            clearInterval(this.timerId);
            this.timerId = null;
            this.watcher.kill();
        }
        return true;
    }
    dispose() {
        this.unWatchLogs();
    }
    watchLogs(pod) {
        const request = this.outputTypes[pod];
        let args = [request.podQuery];
        if (request.container) {
            args.push(SternFlags.CONTAINER);
            args.push(request.container);
        }
        args = args.concat([SternFlags.NAMESPACE, request.nameSpace, '-t']);
        this.unWatchLogs();
        console.log('this.command', 'stern ' + args.join(' '));
        this.watcher = cmd.get('stern ' + args.join(' '));
        let res = '';
        this.watcher.stdout.on('data', (data) => {
            const dataStr = data.toString();
            if ((res.length + dataStr.length) * 2 > 1000000) {
                this.sendSubscribeData(res, request.name);
                res = '';
            }
            res = res + dataStr;
            if (!this.timerId) {
                this.sendSubscribeData(res, request.name);
                res = '';
                this.timerId = setInterval(() => {
                    if (res.length) {
                        this.sendSubscribeData(res, request.name);
                        res = '';
                    }
                }, 3000);
            }
        });
        this.watcher.stderr.on('data', (err) => {
            this.logger.debug(`stderr: %j`, err.toString());
            this.pubsub.publish(`OUTPUT_DATA_SUBSCRIPTIONS`, {
                outputDataSubscription: {
                    output: '',
                    err: err.toString(),
                    name: request.name,
                },
            });
        });
    }
    sendSubscribeData(data, name) {
        this.pubsub.publish(`OUTPUT_DATA_SUBSCRIPTIONS`, {
            outputDataSubscription: {
                output: data,
                err: '',
                name: name,
            },
        });
    }
};
OutputService = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject('Logger')),
    __param(1, inversify_1.inject('PubSub'))
], OutputService);
exports.OutputService = OutputService;


/***/ }),

/***/ "@common-stack/core":
/*!*************************************!*\
  !*** external "@common-stack/core" ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/core");

/***/ }),

/***/ "@common-stack/server-core":
/*!********************************************!*\
  !*** external "@common-stack/server-core" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/server-core");

/***/ }),

/***/ "@workbench-stack/core":
/*!****************************************!*\
  !*** external "@workbench-stack/core" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/core");

/***/ }),

/***/ "graphql-subscriptions":
/*!****************************************!*\
  !*** external "graphql-subscriptions" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("graphql-subscriptions");

/***/ }),

/***/ "inversify":
/*!****************************!*\
  !*** external "inversify" ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("inversify");

/***/ }),

/***/ "lodash":
/*!*************************!*\
  !*** external "lodash" ***!
  \*************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ "moleculer":
/*!****************************!*\
  !*** external "moleculer" ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("moleculer");

/***/ }),

/***/ "node-cmd":
/*!***************************!*\
  !*** external "node-cmd" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("node-cmd");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map